Public Class Form1

    Private lstObjet As New List(Of Objet)

    Private Sub Form1_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Dim objet As Objet
        Try

            For i As Long = 1 To 50
                objet = New Objet(i)
                lstObjet.Add(objet)
            Next

            Me.UltraGrid1.DataSource = lstObjet

        Catch ex As Exception
            MessageBox.Show(ex.Message)
        End Try

    End Sub


    Private Class Objet

        Private _id As Long
        Private _adate As Nullable(Of Date)

        Public ReadOnly Property Id() As Long
            Get
                Return _id
            End Get
        End Property

        Public Property ADate() As Nullable(Of Date)
            Get
                Return _adate
            End Get
            Set(ByVal value As Nullable(Of Date))
                _adate = value
            End Set
        End Property

        Public Sub New(ByVal id As Long)
            _id = id
        End Sub

    End Class

    Private Sub UltraGrid1_InitializeLayout(ByVal sender As Object, ByVal e As Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs) Handles UltraGrid1.InitializeLayout
        Try

            e.Layout.Bands(0).Columns("ADate").Nullable = Infragistics.Win.UltraWinGrid.Nullable.Nothing
            e.Layout.Bands(0).Columns("ADate").Style = Infragistics.Win.UltraWinGrid.ColumnStyle.Date

        Catch ex As Exception
            MessageBox.Show(ex.Message)
        End Try

    End Sub

End Class
